GET /v2/domains/{domain_name}/records

digitalocean.com

Summary: List All Domain Records
Operation ID: domains_list_records
Auth: unknown
Description

To get a listing of all records configured for a domain, send a GET request to `/v2/domains/$DOMAIN_NAME/records`. The list of records returned can be filtered by using the `name` and `type` query parameters. For example, to only include A records for a domain, send a GET request to `/v2/domains/$DOMAIN_NAME/records?type=A`. `name` must be a fully qualified record name. For example, to only include records matching `sub.example.com`, send a GET request to `/v2/domains/$DOMAIN_NAME/records?name=sub.example.com`. Both name and type may be used together.

Parameters (2)

name (string, query, optional)

A fully qualified record name. For example, to only include records matching sub.example.com, send a GET request to `/v2/domains/$DOMAIN_NAME/records?name=sub.example.com`.

type (string, query, optional)

The type of the DNS record. For example: A, CNAME, TXT, ...

Constraints: {'enum': ['A', 'AAAA', 'CAA', 'CNAME', 'MX', 'NS', 'SOA', 'SRV', 'TXT']}

No probe data for this endpoint yet.